.header-left,
.header-right {
  flex: 1;
}
.header-right {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.header-right .button {
  margin: 0 0 0 16px;
}
[dir="rtl"] .header-right .button {
  margin: 0 16px 0 0;
}

.header-main.left .header-left {
  order: 2;
  flex: 1;
}
.header-main.left .header-center {
  order: 1;
  flex: none;
}
.header-main.left .header-right {
  order: 3;
  flex: none;
}

.header-main .mobile-menu-btn {
  display: none;
}

@media (max-width: 1024px) {
  .header-left .nav-list {
    display: none;
  }
  .header-left .mobile-menu-btn {
    display: inline;
  }

  .header-right .button,
  .header-right .social-medias {
    display: none;
  }

  .header-main.left > .container {
    column-gap: 0;
  }
  .header-main.left .header-left {
    order: 3;
    flex: none;
  }
  .header-main.left .header-center {
    order: 1;
    flex: none;
  }
  .header-main.left .header-right {
    order: 2;
    flex: 1;
  }
  .header-main.center .header-right .line-vertical:last-of-type {
    display: none;
  }

  .header-container .logo {
    width: calc(var(--logo-mobile-width) * 0.75);
  }
}

@media (max-width: 767px) {
  .header-main.left > .container {
    column-gap: 16px;
  }
  .header-main .logo {
    width: var(--logo-mobile-width);
  }
}